import { TemplateRef } from '@angular/core';
export declare class TemplateNameDirective {
    template: TemplateRef<any>;
    type: string;
    name: string;
    constructor(template: TemplateRef<any>);
    getType(): string;
}
export declare class SharedModule {
}
